Subject: [bug#36493] [PATCH 2/2] gnu: Remove ghc-parsec, ghc-stm, ghc-text, ghc-xhtml.

From: Ricardo Wurmus <[email-masked]>
Date: Sat, 06 Jul 2019 10:21:57 +0200

Hi Robert,

> Could we do something in guix like what nixpkgs does, where the dependencies
> are encoded, but then “nulled” depending on the compiler version?
>
> https://github.com/NixOS/nixpkgs/blob/master/pkgs/development/haskell-modules/configuration-ghc-8.4.x.nix#L10

Yes, we could do this in the haskell-build-system (automatically
removing inputs before the build is set up).  My first reaction was
“this is inelegant”, but it does have some advantages: we could rebuild
packages with other versions of GHC more easily and it would just work
without having to adjust the inputs manually.

I think this would be done in guix/build-system/haskell.scm, the
“haskell-build” procedure.  There we pass all inputs unchanged through
to build-expression->derivation.  I guess we could filter inputs right
there.

--
Ricardo